メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /auth/register

新しいユーザーアカウントを作成します。公開エンドポイントで認証は不要です。登録に成功すると、確認用メールがユーザーに送信されます。

リクエストボディ

email
string
必須
ユーザーのメールアドレス。有効かつ一意である必要があります。
password
string
必須
パスワード。8 文字以上で、強度要件を満たす必要があります。
firstName
string
必須
名。最大 50 文字。
lastName
string
姓。最大 50 文字。
company
string
会社名。最大 100 文字。

レスポンス

success
boolean
登録が成功したかどうか。
message
string
読みやすいステータスメッセージ。
user
object
新規作成ユーザーの情報。
tokens
object
認証トークンを含むオブジェクト。
curl -X POST https://api.llmgenerator.com/api/v1/auth/register \
  -H "Content-Type: application/json" \
  -d '{
        "email": "user@example.com",
        "password": "securePassword123!",
        "firstName": "John",
        "lastName": "Doe",
        "company": "Acme Inc"
      }'
{
  "success": true,
  "message": "Account created successfully",
  "user": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "user@example.com",
    "name": "John Doe",
    "emailVerified": false,
    "createdAt": "2026-01-29T12:00:00.000Z"
  },
  "tokens": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "expiresIn": 900,
    "tokenType": "Bearer"
  }
}